package schedframe.resources.computing.profiles.energy.power.plugin;

import java.util.HashMap;
import java.util.Map;

import schedframe.PluginConfiguration;
import schedframe.events.EventType;


public class EnergyPluginConfiguration  implements PluginConfiguration {
	
	private Map<EventType, Object> events;
	private double powerCapLevel;
	private double powerFloorLevel;

	public EnergyPluginConfiguration(){
		this.events = new HashMap<EventType, Object>(2);
	}
	
	public void addServedEvent(EventType eventType, Object argument){
		this.events.put(eventType, argument);
	}
	
	public Map<EventType, Object> getServedEvents() {
		return this.events;
		//return null;
	}

	public double getPowerCapLevel() {
		return powerCapLevel;
	}

	public void setPowerCapLevel(double powerCapLevel) {
		this.powerCapLevel = powerCapLevel;
	}

	public double getPowerFloorLevel() {
		return powerFloorLevel;
	}

	public void setPowerFloorLevel(double powerFloorLevel) {
		this.powerFloorLevel = powerFloorLevel;
	}
}

